Package org.apache.tomcat.util.net

## Class NioEndpoint.SendfileData

- java.lang.Object
- - org.apache.tomcat.util.net.SendfileDataBase
  - - org.apache.tomcat.util.net.NioEndpoint.SendfileData

Enclosing class:
  NioEndpoint

    public static class NioEndpoint.SendfileData
    extends SendfileDataBase

SendfileData class.

### Field Summary

Fields
`protected java.nio.channels.FileChannel` `fchannel`

### Fields inherited from class org.apache.tomcat.util.net.SendfileDataBase

`fileName, keepAliveState, length, pos`

### Constructor Summary

Constructors
`SendfileData​(java.lang.String filename, long pos, long length)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### fchannel

    protected volatile java.nio.channels.FileChannel fchannel

### Constructor Detail

#### SendfileData

    public SendfileData​(java.lang.String filename,
                        long pos,
                        long length)